## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NamespacesHandler::NamespaceExtended Class Reference

`#include <NamespacesHandler.hpp>`

Inheritance diagram for NamespacesHandler::NamespaceExtended

Collaboration diagram for NamespacesHandler::NamespaceExtended:

List of all members.

## Public Methods

- NamespaceExtended ()
- NamespaceExtended ( const XalanDOMString& prefix, const XalanDOMString& uri)
- const XalanDOMString& getResultAttributeName () const
    Retrieve the name of the result attribute. More...
- void setResultAttributeName (const XalanDOMString& name)
    Set the name of the result attribute. More...

## Constructor & Destructor Documentation

NamespacesHandler::NamespaceExtended::NamespaceExtended ( | )

NamespacesHandler::NamespaceExtended::NamespaceExtended ( | const XalanDOMString & prefix,
| const XalanDOMString & uri )

## Member Function Documentation

const XalanDOMString & NamespacesHandler::NamespaceExtended::getResultAttributeName ( | ) const`[]`

Retrieve the name of the result attribute.

Returns:
  name string

void NamespacesHandler::NamespaceExtended::setResultAttributeName ( | const XalanDOMString & name )`[]`

Set the name of the result attribute.

Parameters:

  name | The new name value

The documentation for this class was generated from the following file:

- NamespacesHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.